View Issue Details

IDProjectCategoryView StatusLast Update
0013898ScribusUser Interfacepublic2016-04-04 12:28
ReporterKunda Assigned ToFirasH  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.2.svn 
Target Version1.5.2Fixed in Version1.5.2.svn 
Summary0013898: SE Tooltips needed for align buttons
DescriptionFound the align tooltips elsewhere in the source code but couldn't figure out how to apply them to SE menu

https://github.com/scribusproject/scribus/blob/6f0ae957377d825df85356229c9e8a6e4caee136/scribus/ui/alignselect.cpp#L113-L117
    TextL->setToolTip( tr("Align Text Left"));
    TextR->setToolTip( tr("Align Text Right"));
    TextC->setToolTip( tr("Align Text Center"));
    TextB->setToolTip( tr("Align Text Justified"));
    TextF->setToolTip( tr("Align Text Forced Justified"));
Steps To Reproduce1) open Story Editor
2) hover over Story Editor Menu align icons
Result: missing popups

Tagstooltips
PatchYes

Relationships

child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 

Activities

Kunda

2016-04-01 12:28

updater  

Kunda

2016-04-02 13:04

updater   ~0039705

FirasH, want to take a stab at this ?

FirasH

2016-04-02 18:23

developer  

13898-Patch.diff (334 bytes)

diff --git a/scribus/ui/storyeditor.cpp b/scribus/ui/storyeditor.cpp
--- a/scribus/ui/storyeditor.cpp
+++ b/scribus/ui/storyeditor.cpp
@@ -1398,6 +1398,7 @@
 
 void SToolBAlign::languageChange()
 {
+	GroupAlign->languageChange();
 	paraStyleCombo->setToolTip("");
 	paraStyleCombo->setToolTip( tr("Style of current paragraph"));
 }
13898-Patch.diff (334 bytes)

FirasH

2016-04-02 18:24

developer   ~0039723

Fixed, see attached patch.

Kunda

2016-04-03 22:25

updater   ~0039739

Last edited: 2016-04-04 01:23

View 2 revisions

FirasH, awesome!
Patch is good. Please merge

Edit: typo

jghali

2016-04-04 11:44

administrator   ~0039760

Committed, thanks!

Kunda

2016-04-04 12:28

updater   ~0039763

Firash ;)
jghali committed patch in r21162
Thanks!

Issue History

Date Modified Username Field Change
2016-04-01 12:28 Kunda New Issue
2016-04-01 12:28 Kunda File Added: SE-Align-Menu-Missing-Tooltips.png
2016-04-01 12:28 Kunda Issue generated from: 0013717
2016-04-01 12:28 Kunda Tag Attached: tooltips
2016-04-02 13:04 Kunda Assigned To => FirasH
2016-04-02 13:04 Kunda Status new => assigned
2016-04-02 13:04 Kunda Target Version => 1.5.2
2016-04-02 13:04 Kunda Note Added: 0039705
2016-04-02 18:23 FirasH File Added: 13898-Patch.diff
2016-04-02 18:24 FirasH Note Added: 0039723
2016-04-02 18:26 FirasH Patch No => Yes
2016-04-03 11:14 FirasH Relationship added child of 0013906
2016-04-03 22:25 Kunda Note Added: 0039739
2016-04-04 01:23 Kunda Note Edited: 0039739 View Revisions
2016-04-04 11:44 jghali Note Added: 0039760
2016-04-04 11:44 jghali Status assigned => resolved
2016-04-04 11:44 jghali Fixed in Version => 1.5.2.svn
2016-04-04 11:44 jghali Resolution open => fixed
2016-04-04 12:28 Kunda Note Added: 0039763
2016-04-04 12:28 Kunda Status resolved => closed